<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen
  xmlns:android="http://schemas.android.com/apk/res/android">
    <PreferenceCategory android:title="Appearance">
        <ListPreference android:entries="@array/fontScale" android:title="Font size" android:key="prefFontScale" android:summary="Sets display font size" android:defaultValue="1" android:entryValues="@array/fontScaleValues" />
        <ListPreference android:entries="@array/screenRotation" android:title="Screen orientation" android:key="prefScreenRotation" android:summary="Sets display rotation behaviour" android:defaultValue="1" android:entryValues="@array/screenRotationValues" />
        <ListPreference android:entries="@array/decimalSeparator" android:title="Decimal separator" android:key="prefDecimal" android:summary="Allows to select number decimal separator" android:defaultValue="." android:entryValues="@array/decimalSeparatorValues" />
        <ListPreference android:entries="@array/digitGrouping" android:title="Digit grouping" android:key="prefGroup" android:summary="Allows to set grouping letter" android:defaultValue="0" android:entryValues="@array/digitGroupingValues" />
        <CheckBoxPreference android:title="Screen always on" android:key="prefScreen" android:summary="Disables screen from turning off when calculator running" />
    </PreferenceCategory>
    <PreferenceCategory android:title="Keyboard">
        <CheckBoxPreference android:title="Button feedback" android:key="prefFeedback" android:summary="Enables vibration feedback on key press" />
        <CheckBoxPreference android:title="Long press shift" android:key="prefLongpress" android:summary="Enables alternate shift function on long key press" />
    </PreferenceCategory>
    <PreferenceCategory android:title="Functionality">
        <ListPreference android:entries="@array/historySize" android:title="History size" android:key="prefHistory" android:summary="Sets calculator expression history buffer size" android:defaultValue="10" android:entryValues="@array/historySizeValues" />
    </PreferenceCategory>
</PreferenceScreen>